export default {
  name: '条形图',
  type: 'bar',
  data: [
    {
      name: '简单条形图',
      data: {
        columns: ['日期', '余额', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3 },
          { '日期': '1-2', '余额': 1223, '年龄': 6 },
          { '日期': '1-3', '余额': 2123, '年龄': 9 },
          { '日期': '1-4', '余额': 4123, '年龄': 12 },
          { '日期': '1-5', '余额': 3123, '年龄': 15 },
          { '日期': '1-6', '余额': 7123, '年龄': 20 }
        ]
      },
      settings: {}
    },
    {
      name: '排序条形图',
      data: {
        columns: ['日期', '余额', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3 },
          { '日期': '1-2', '余额': 1223, '年龄': 6 },
          { '日期': '1-3', '余额': 2123, '年龄': 90 },
          { '日期': '1-4', '余额': 4123, '年龄': 12 },
          { '日期': '1-5', '余额': 3123, '年龄': 15 },
          { '日期': '1-6', '余额': 7123, '年龄': 20 }
        ]
      },
      settings: {
        metrics: ['年龄'],
        dataOrder: {
          label: '年龄',
          order: 'desc'
        }
      }
    },
    {
      name: '带有较小百分比数值',
      data: {
        columns: ['日期', '比率'],
        rows: [
          { '日期': '1-1', '余额': 123, '比率': 0.00001 },
          { '日期': '1-2', '余额': 1223, '比率': 0.00002 },
          { '日期': '1-3', '余额': 2123, '比率': 0.00003 },
          { '日期': '1-4', '余额': 4123, '比率': 0.00007 },
          { '日期': '1-5', '余额': 3123, '比率': 0.00001 },
          { '日期': '1-6', '余额': 7123, '比率': 0.00003 }
        ]
      },
      settings: {
        xAxisType: ['percent'],
        digit: 4
      }
    },
    {
      name: '坐标轴配置',
      data: {
        columns: ['日期', '余额', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3 },
          { '日期': '1-2', '余额': 1223, '年龄': 6 },
          { '日期': '1-3', '余额': 2123, '年龄': 9 },
          { '日期': '1-4', '余额': 4123, '年龄': 12 },
          { '日期': '1-5', '余额': 3123, '年龄': 15 },
          { '日期': '1-6', '余额': 7123, '年龄': 20 }
        ]
      },
      settings: {
        xAxisType: ['KMB', 'percent'],
        xAxisName: ['余额', '年龄'],
        axisSite: {
          top: ['年龄']
        }
      }
    },
    {
      name: '复杂坐标轴配置',
      data: {
        columns: ['日期', 'a', 'b', 'c'],
        rows: [
          { '日期': '1-1', 'a': 123, 'b': 3, c: 1 },
          { '日期': '1-2', 'a': 1223, 'b': 6, c: 1 },
          { '日期': '1-3', 'a': 2123, 'b': 9, c: 1 },
          { '日期': '1-4', 'a': 4123, 'b': 12, c: 1 },
          { '日期': '1-5', 'a': 3123, 'b': 15, c: 1 },
          { '日期': '1-6', 'a': 7123, 'b': 20, c: 1 }
        ]
      },
      settings: {
        axisSite: {
          top: ['a'],
          bottom: ['b']
        }
      }
    },
    {
      name: '指标维度配置',
      data: {
        columns: ['日期', '余额', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3 },
          { '日期': '1-2', '余额': 1223, '年龄': 6 },
          { '日期': '1-3', '余额': 2123, '年龄': 9 },
          { '日期': '1-4', '余额': 4123, '年龄': 12 },
          { '日期': '1-5', '余额': 3123, '年龄': 15 },
          { '日期': '1-6', '余额': 7123, '年龄': 20 }
        ]
      },
      settings: {
        dimension: ['余额'],
        metrics: ['年龄']
      }
    },
    {
      name: '堆叠条形图',
      data: {
        columns: ['日期', '余额', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3 },
          { '日期': '1-2', '余额': 1223, '年龄': 6 },
          { '日期': '1-3', '余额': 2123, '年龄': 9 },
          { '日期': '1-4', '余额': 4123, '年龄': 12 },
          { '日期': '1-5', '余额': 3123, '年龄': 15 },
          { '日期': '1-6', '余额': 7123, '年龄': 20 }
        ]
      },
      settings: {
        stack: {
          'xxx': ['余额', '年龄']
        }
      }
    }
  ]
}
